#declare deg2rad = atan2(1,1)/45.0;
#declare rad2deg = 45.0/atan2(1,1);

#declare F_LAK =
finish  {
    ambient 0.1
    diffuse 0.1
    reflection 0.1
    specular 0.8
    roughness 0.003
    phong 1
    phong_size 400
}

#declare T_LAK =
texture {
    pigment { color rgbf <0.98, 0.98, 0.98, 0.9> }
    finish { F_LAK }
}

#declare laires_auge =
    union {
	merge {
	    intersection {
		#declare i = 0; 
		#while (i < 360) 
		    plane {
			<0, 1, 0>, 0
			rotate <0, 0, 15>
			rotate <i, 0, 0>
		    }
		    plane {
			<0, 1, 0>, 0
			translate <0, 18.5, 0>
			rotate <0, 0, 15*3/4-90>
			rotate <i, 0, 0>
		    }
		    #declare i = i + 30;
		#end
		#declare i = 0; 
		#while (i < 360) 
		    plane {
			<0, 1, 0>, 0
			rotate <0, 0, 15>
			rotate <i, 0, 0>
		    }
		    plane {
			<0, 1, 0>, 0
			translate <0, 18.5, 0>
			rotate <0, 0, 15*1/4-90>
			rotate <i, 0, 0>
		    }
		    #declare i = i + 60;
		#end
	    }
	    intersection {
		#declare i = 0; 
		#while (i < 360) 
		    plane {
			<0, 1, 0>, 0
			translate <0, 3.5, 0>
			rotate <i, 0, 0>
		    }
		    #declare i = i + 30;
		#end
		box {
		    <16, -4, -4>,
		    <8.5, 4, 4>
		}
	    }
	    texture { T_LAK }
	    interior {
		ior 3.1
	    }

	}
	cone {
	    <8.5, 0, 0>, 3.5
	    <-1.1, 0, 0>, 4.5
	    texture { pigment { color Black } } 
	}
    }
