#include "T_BlackMetal.pov"

#declare Impulsgeschuetz = 
    union {
	union {
	    intersection {
		sphere { <0, 0, 0>, 3
		}
		#declare i = 0
		#while (i < 5)
		    cone {
			<0, -3, -2>, 4.9
			<0, +3, -2>, 4.9
			rotate <30, 0, 0>
			rotate <0, 0, i*72>
		    }
		    #declare i = i + 1
		#end
	    }
	    difference {
		cone {
		    <0, 0.3, 2.5>, 0.6,
		    <0, 0.3, 5.5>, 0.5
		}
		cone {
		    <0, 0.3, 2.5>, 0.4,
		    <0, 0.3, 5.6>, 0.4
		}
	    }
	    difference {
		cone {
		    <0, -0.3, 2.5>, 0.4,
		    <0, -0.3, 4.5>, 0.4
		}
		cone {
		    <0, 0, 0>, 0.6,
		    <0, 0, 1>, 0.6
		    rotate <45, 0, 0>
		    translate <0, -0.3, 4.5>
		}
	    }
	    torus {
		0.5, 0.2
		rotate <90, 0, 0>
		translate <0, 0.3, 5.5>
	    }
	    texture {
		pigment {color <0.7, 0.7, 1.0>}
		finish {phong 1.0}
	    }
	}
        #declare i=5.0
	#while (i > 3.5)
	    torus {
		0.5, 0.09
		rotate <90, 0, 0>
		translate <0, 0.3, i>
		texture { T_BlackMetal }
	    }
	    #declare i = i - 0.2
	#end
	    
	light_source {
		<0, 0.3, 3> color Yellow
	}
    }
